Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Error code: ssl_error_no_cypher_overlap comes up when I try to veiw the log in screen on tumblr, how to fix this in FireFox 26.0?

  • 4 replies
  • 44 have this problem
  • 50 views
  • Last reply by LF2Dennis

more options

I can browse through tumblr just fine, but whenever I go to the login page it said: Secure Connection Failed. An error occurred during a connection to www.tumblr.com. Cannot communicate securely with peer: no common encryption algorithm(s). (Error code: ssl_error_no_cypher_overlap)

I understand that tumblr has certification errors but that never happened to me before I until I upgraded to Firefox 26.0. I like FF and I don't want to use any other browser.

How to fix this?

I can browse through tumblr just fine, but whenever I go to the login page it said: Secure Connection Failed. An error occurred during a connection to www.tumblr.com. Cannot communicate securely with peer: no common encryption algorithm(s). (Error code: ssl_error_no_cypher_overlap) I understand that tumblr has certification errors but that never happened to me before I until I upgraded to Firefox 26.0. I like FF and I don't want to use any other browser. How to fix this?

All Replies (4)

more options

You can check the ssl and tls prefs on the about:config page.
You can open the about:config page via the location bar.

If any ssl or tls pref is bold (user set) then right-click that pref and choose "Reset" to reset the pref to the default value.
Paste this regular expression (include the slashes) in the Search bar at the top of the about:config page:

  • /security.*ssl|security.*tls/
more options

Thanks for the reply I just tried that, but it didn't work unfortunately.

more options

Does it help if you either disable SSL3 or disable TLS as a test?

security.tls.version.min = 1 and security.tls.version.max = 1 disables SSL3 and enables TLS 1.0
security.tls.version.max = 0 and security.tls.version.max = 0 enables SSL3 and disables TLS 1.0

Type about:config in the location (address) bar and press the Enter key to open the about:config page like you open a website by typing the URL in the location bar.

See:

0 means SSL 3.0, 1 means TLS 1.0, 2 means TLS 1.1, etc.

You can try to rename the cert8.db file in the Firefox profile folder to cert8.db.old or delete the cert8.db file to remove intermediate certificates that Firefox has stored.

If that helped to solve the problem then you can remove the renamed cert8.db.old file. Otherwise you can rename (or copy) the cert8.db.old file to cert8.db to restore the previous intermediate certificates. Firefox will automatically store intermediate certificates when you visit websites that send such a certificate.

If that didn't help then remove or rename secmod.db (secmod.db.old) as well.

more options

None of these worked, but I came to the conclusion that it is not Fire Fox 26.0 but a bug in a Windows 8.1 update that fails to update Root Certificate.

Thanks anyway. :)